VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "DLL ActiveX para Exportar a JPG"
   ClientHeight    =   3330
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7155
   LinkTopic       =   "Form1"
   ScaleHeight     =   3330
   ScaleWidth      =   7155
   StartUpPosition =   3  'Windows Default
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   3840
      Max             =   100
      TabIndex        =   3
      Top             =   840
      Value           =   85
      Width           =   1935
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Command2"
      Height          =   375
      Left            =   5160
      TabIndex        =   2
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   375
      Left            =   3840
      TabIndex        =   1
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Frame Frame1 
      Caption         =   "Imagen"
      Height          =   3135
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3615
      Begin VB.Image Image1 
         Height          =   2295
         Left            =   240
         Stretch         =   -1  'True
         Top             =   480
         Width           =   3135
      End
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Valor de compresin"
      Height          =   195
      Left            =   3840
      TabIndex        =   4
      Top             =   480
      Width           =   1440
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False



'Variable para referenciar a la dll
Dim Conversor As Class1


Private Sub Form_Unload(Cancel As Integer)
'Eliminamos la referencia de la dll
On Error Resume Next
   Set Conversor = Nothing
End Sub

Private Sub Form_Load()
'Instanciamos la DllactiveX
Set Conversor = New Class1
    Command1.Caption = "Abrir"
    Command2.Caption = "Guardar como jpg"
    Command2.Enabled = False
End Sub

Private Sub Command1_Click()
    On Error GoTo error
    'Filter es para las extenciones de los ficheros de imagen _
    y Nombre es la ruta del fichero seleccionado
    Dim Filter As String, Nombre As String
    'Especificamos los tipos archivos
    Filter = "Images Files (*.bmp;*.gif;*.jpg;*.png;*.tif)|*.bmp;*.gif;*.jpg;*.png;*.tif"
    
    'La Dll tiene un metodo para abrir el cuadro de dialogo "Abrir Archivo"
    'En el 1 parametro le pasamos el form, en el otro las extenciones y en el otro el _
    titulo del cuadro de dialogo
    Nombre = Conversor.AbrirArchivo(Me, Filter, "Selecciona el fichero de imgen")
                 
    'Si se eligio cancelar salimos
    If Nombre = "" Then Exit Sub
    
    'Cargamos la imagen en el Picture
    Image1.Picture = LoadPicture(Nombre)
    
    'Si el picture no contiene una imagen valida deshabilitamos el command guardar
    If Not Image1.Picture Is Nothing Then
        Command2.Enabled = True
    End If
    Exit Sub
error:

    MsgBox Err.Description, vbCritical
End Sub

Private Sub Command2_Click()
    'Filter es para las extenciones de los ficheros de imagen _
    y Nombre es la ruta del fichero seleccionado _
    NOTA: SOLO SE PUEDE GUARDAR EN JPG
    Dim Filter As String, Nombre As String
    On Error GoTo error
    
    'La Dll tiene un metodo que llama al cuadro de dialogo Guardar Como _
    identico con los mismos parametros que se describi arriba
    Nombre = Conversor.GuardarComo(Me, "Guardar como...")
    
    'Si no se selecciono ningun fichero salimos
    If Nombre = "" Then Exit Sub
    
    'El Metodo para convertir a JPG se llama "GrabarJPG"
    
    'Una ves con el fichero, Ac le pasamos como parametro el Picture _
    que contiene la imagen despues el nombre del fichero y el ultimo _
    es la compresion (de 0 a 100)
    Conversor.GrabarJpg Image1, Nombre, CByte(HScroll1.Value)
    
Exit Sub
error:
MsgBox Err.Description
End Sub

Private Sub HScroll1_Change()
HScroll1_Scroll
End Sub

Private Sub HScroll1_Scroll()
Me.Caption = "Valor de compresin: " & CStr(HScroll1.Value)
End Sub


